package com.qunzhixinxi.hnqz.admin.api.constant;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * Upms 服务枚举
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-08-15 15:24
 */
public class UpmsType {

	/**
	 * 任务大类
	 */
	@Getter
	@AllArgsConstructor
	public enum TaskCategory {

		FORWARD("FORWARD", "转发类任务"),
		CONFERENCES_INTERVIEWS("CONFERENCES_INTERVIEWS", "会议与专访"),
		CUSTOMER_VISIT("CUSTOMER_VISIT", "客户拜访"),
		MARKET_INFO_COLLECTION("MARKET_INFO_COLLECTION", "市场信息搜集");

		@EnumValue
		private final String type;

		private final String description;


	}


	/**
	 * 任务二级分类
	 */
	@Getter
	@AllArgsConstructor
	public enum TaskSubCategory {

		PRODUCT_ALBUM("PRODUCT_ALBUM", TaskCategory.FORWARD, "产品相册"),
		ACADEMIC_INFO_EXCHANGE("ACADEMIC_INFO_EXCHANGE", TaskCategory.FORWARD, "学术信息交流"),
		CONFERENCE("CONFERENCE", TaskCategory.CONFERENCES_INTERVIEWS, "会议举办"),
		ONE_ON_ONE_INTERVIEW("ONE_ON_ONE_INTERVIEW", TaskCategory.CONFERENCES_INTERVIEWS, "一对一专访"),
		TRAINING("TRAINING", TaskCategory.CONFERENCES_INTERVIEWS, "培训"),
		BUSINESS_COMPANY_VISIT("BUSINESS_COMPANY_VISIT", TaskCategory.CUSTOMER_VISIT, "商业公司拜访"),
		HOSPITAL_VISIT("HOSPITAL_VISIT", TaskCategory.CUSTOMER_VISIT, "医院拜访"),
		PHARMACY_VISIT("PHARMACY_VISIT", TaskCategory.CUSTOMER_VISIT, "药店拜访"),
		INVENTORY_INFO_COLLECTION("INVENTORY_INFO_COLLECTION", TaskCategory.MARKET_INFO_COLLECTION, "库存信息搜集"),
		HOSPITAL_INFO_COLLECTION("HOSPITAL_INFO_COLLECTION", TaskCategory.MARKET_INFO_COLLECTION, "医院信息搜集");

		@EnumValue
		private final String type;

		private final TaskCategory category;

		private final String description;

	}
}
